## smokedec smokedec — Decode video from Smoke format |

## Types and Values

struct | GstSmokeDec

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstSmokeDec

## Description

## Synopsis

### Element Information

plugin | jpeg
author | Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-smoke, width=(int)[ 16, 4096 ], height=(int)[ 16, 4096 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSmokeDec

    struct GstSmokeDec;